# rubocop:disable Migration/Timestamps
# rubocop:disable Migration/Datetime
class CreateUserActivities < ActiveRecord::Migration
  # Set this constant to true if this migration requires downtime.
  DOWNTIME = true

  # When a migration requires downtime you **must** uncomment the following
  # constant and define a short and easy to understand explanation as to why the
  # migration requires downtime.
  DOWNTIME_REASON = 'Adding foreign key'.freeze

  # When using the methods "add_concurrent_index" or "add_column_with_default"
  # you must disable the use of transactions as these methods can not run in an
  # existing transaction. When using "add_concurrent_index" make sure that this
  # method is the _only_ method called in the migration, any other changes
  # should go in a separate migration. This ensures that upon failure _only_ the
  # index creation fails and can be retried or reverted easily.
  #
  # To disable transactions uncomment the following line and remove these
  # comments:
  # disable_ddl_transaction!

  def change
    create_table :user_activities do |t|
      t.belongs_to :user, index: { unique: true }, foreign_key: { on_delete: :cascade }
      t.datetime :last_activity_at, null: false
    end
  end
end
